# IRsActivityMng Interface Reference

Activity manager. More...

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Run ([in] BSTR bszActvName,[in] RtActvParam *pInitParam,[in] RtActivityRunMode runMode)
HRESULT | Kill ([in] BSTR bszActvName)
HRESULT | MoveControlFlow ([in] RtActivityId actvID,[in] IRsConnector *pTransitionCon)
HRESULT | BeginAction ([in] RtActivityId actvId)
HRESULT | FinishAction ([in] RtActivityId actvID,[in] IRsNode *pTransition)
HRESULT | KillAll (void)
HRESULT | Archive ([in] BSTR bszActvName,[in] RtActivityId actvID)
HRESULT | IsArchived ([in] BSTR bszActvName,[out, retval] RtBool *pVal)

## Detailed Description

Activity manager.

Activity managers run, terminate and register all activities running in the system. When activity is run, activity manager assigns unique identification for activity and invokes functionality of first activity node in the path. Activity nodes behave as commands; there is no restriction on functionality defined by activity node. It can perform a variety of actions in the graph or run other activities. After activity node is executed, activity manager identifies next node based on control flow connections. If activity node has more outgoing connections it can specify which link will be considered as next transition path. After the next activity node has been successfully resolved, the activity manager invokes its functionality and process continues until it reaches the end or until activity is stopped.

## Member Function Documentation

HRESULT IRsActivityMng::Run | ( | [in] BSTR | bszActvName,
|  | [in] RtActvParam * | pInitParam,
|  | [in] RtActivityRunMode | runMode |
| ) |  |  |

Runs new activity.

Parameters:

  | bszActvName | [in] Full name identification of activity in the graph.
  | pInitParam | [in] Initialization parameters for activity.
  | runMode | [in] Mode in which the activity will be run.

HRESULT IRsActivityMng::Kill | ( | [in] BSTR | bszActvName | ) |

Stops running activity.

Parameters:

  | bszActvName | [in] Full name identification of activity to stop.

HRESULT IRsActivityMng::MoveControlFlow | ( | [in] RtActivityId | actvID,
|  | [in] IRsConnector * | pTransitionCon |
| ) |  |  |

Transits the control flow of activity forwards by specified connector.

Parameters:

  | actvID | [in] Activity ID.
  | pTransitionCon | [in] Connector to follow during activity transit.

HRESULT IRsActivityMng::BeginAction | ( | [in] RtActivityId | actvId | ) |

Begins activity action.

Parameters:

  | actvId | [in] ID of activity.

HRESULT IRsActivityMng::FinishAction | ( | [in] RtActivityId | actvID,
|  | [in] IRsNode * | pTransition |
| ) |  |  |

Ends the activity action.

Parameters:

  | actvID | [in] ID of activity.
  | pTransition | [in] Node to destroy.

HRESULT IRsActivityMng::KillAll | ( | void |  | ) |

Stops all running activities

HRESULT IRsActivityMng::Archive | ( | [in] BSTR | bszActvName,
|  | [in] RtActivityId | actvID |
| ) |  |  |

Remembers activity with specified name and ID.

Parameters:

  | bszActvName | [in] Activity name.
  | actvID | [in] ID of activity.

HRESULT IRsActivityMng::IsArchived | ( | [in] BSTR | bszActvName,
|  | [out, retval] RtBool * | pVal |
| ) |  |  |

Queries the archived status of specified activity.

Parameters:

  | bszActvName | [in] Activity name.

Returns:
  pVal [out,retval] Returned status of activity archivation.